UVF exception request ktorrent 2.0.1 -> 2.0.2

Bug #58139 reported by John Dong on 2006-08-29
10
Affects Status Importance Assigned to Milestone
Dapper Backports
Medium
Unassigned
ktorrent (Ubuntu)
Low
Brandon Holtsclaw
Dapper
Undecided
Unassigned

Bug Description

ktorrent 2.0.2 is out, a bugfix release. According to upstream, resolves corruption issue and some download hangs.

Would be nice to have for Edgy

John Dong (jdong) wrote :

Just an FYI, applied the current 2.0.1 diff.gz and bumped the version, and it builds and runs fine.

Changed in ktorrent:
assignee: nobody → imbrandon
importance: Untriaged → Low
status: Unconfirmed → Confirmed
Colin Watson (cjwatson) wrote :

What changed? There appears to be no useful upstream changelog for 2.0.2 and the svn log doesn't indicate where the releases were. Please provide a summary of the changes (if necessary, by diffing the two tarballs and working out from that what svn log entries apply).

Changed in ktorrent:
status: Confirmed → Needs Info
John Dong (jdong) wrote :

Changelog from 2.0.1 -> 2.0.2, pulled from svn.

------------------------------------------------------------------------
r578551 | guisson | 2006-08-29 12:00:44 -0400 (Tue, 29 Aug 2006) | 1 line

Upped version number of 2.0 branch to 2.0.2
------------------------------------------------------------------------
r578208 | guisson | 2006-08-28 13:13:04 -0400 (Mon, 28 Aug 2006) | 1 line

Bug fix in import plugin from trunk
------------------------------------------------------------------------
r576755 | guisson | 2006-08-24 14:51:51 -0400 (Thu, 24 Aug 2006) | 1 line

Corruption fix from trunk
------------------------------------------------------------------------
r576292 | guisson | 2006-08-23 14:11:05 -0400 (Wed, 23 Aug 2006) | 1 line

Merged fix from trunk
------------------------------------------------------------------------
r575967 | guisson | 2006-08-22 13:08:00 -0400 (Tue, 22 Aug 2006) | 1 line

Latests tweaks from trunk
------------------------------------------------------------------------

I've been snooping around ktorrent.org's forums, and from what I can tell, the two fixes that this release provides is

(1) On some downloads, after a while traffic would halt as all peers are incorrectly choked.

(2) Some downloads finish corrupted.

John Dong (jdong) wrote :

change back to unconfirmed?

Changed in ktorrent:
status: Needs Info → Unconfirmed
Jonathan Riddell (jr) wrote :

Not the most useful of upstreams for a changelog, but the diff is small so I've attached it.

John Dong (jdong) wrote :

So what's the word on this? It seems like all the info is here now...

Colin Watson (cjwatson) wrote :

OK, this looks fine for a UVF exception to me. Go ahead.

Changed in ktorrent:
status: Unconfirmed → Confirmed
Brandon Holtsclaw (imbrandon) wrote :

uploaded, thanks!

Changed in ktorrent:
status: Confirmed → Fix Released
John Dong (jdong) wrote :

Tested and approved for dapper-backports.

Changed in dapper-backports:
importance: Untriaged → Medium
status: Unconfirmed → In Progress
Colin Watson (cjwatson) wrote :

 * Trying to backport ktorrent...
  - <ktorrent_2.0.2.orig.tar.gz: downloading from librarian>
  - <ktorrent_2.0.2-0ubuntu1.diff.gz: downloading from librarian>
  - <ktorrent_2.0.2-0ubuntu1.dsc: downloading from librarian>
I: Extracting ktorrent_2.0.2-0ubuntu1.dsc ... done.
I: Building backport of ktorrent-2.0.2 ... done.

Changed in dapper-backports:
status: In Progress → Fix Released
Colin Watson (cjwatson) wrote :

The above backport should also close the Ubuntu Dapper task.

Changed in ktorrent:
status: Unconfirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers